d_icon_proc(3)

NAME
d_icon_proc - Dialog procedure implementing a bitmap button. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int d_icon_proc(int msg, DIALOG *d, int c);

DESCRIPTION
A bitmap button. The fg color is used for the dotted line showing focus, and the bg color for the shadow used to fill in the top and left sides of the button when "pressed". d1 is the "push depth", ie. the number of pixels the icon will be shifted to the right and down when selected (default 2) if there is no "selected" image. d2 is the distance by which the dotted line showing focus is indented (default 2). dp points to a bitmap for the icon, while dp2 and dp3 are the selected and disabled images respectively (optional, may be NULL).

SEE ALSO
exgui(3)